package com.datacloudsec.utils.result;

import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.util.ArrayList;
import org.apache.commons.io.IOUtils;
import org.h2.jdbc.JdbcClob;

/* loaded from: com_datacloudsec_utils_result.jar:com/datacloudsec/utils/result/ListStringResult.class */
public class ListStringResult<T> implements IResult {
    /* JADX WARN: Type inference failed for: r0v0, types: [java.util.List, T, java.util.ArrayList] */
    @Override // com.datacloudsec.utils.result.IResult
    public T parseResult(ResultSet resultSet) throws Exception {
        ?? r0 = (T) new ArrayList();
        ResultSetMetaData metaData = resultSet.getMetaData();
        while (resultSet.next()) {
            String columnTypeName = metaData.getColumnTypeName(1);
            Object obj = null;
            if (columnTypeName.equalsIgnoreCase("TINYINT")) {
                obj = Integer.valueOf(resultSet.getInt(1));
            } else if (columnTypeName.equalsIgnoreCase("CLOB")) {
                JdbcClob clob = resultSet.getClob(1);
                if (clob != null) {
                    obj = IOUtils.toString(clob.getCharacterStream());
                }
            } else {
                obj = resultSet.getObject(1);
            }
            r0.add(obj == null ? null : obj.toString());
        }
        return r0;
    }
}
